Subject: bug#63980: closed (Re: bug#63980: [PATCH] gnu: python-typeguard: Add dependency on python-setuptools-scm.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Sep 2023 11:30:02 +0000

Your bug report

#63980: [PATCH] gnu: python-typeguard: Add dependency on python-setuptools-scm.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63980: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63980
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63980: [PATCH] gnu: python-typeguard: Add dependency on python-setuptools-scm.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>, Christopher Baines <[email-masked]>
Date: Sun, 17 Sep 2023 11:29:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Em sex, 2023-09-08 às 23:51 +0200, Ludovic Courtès escreveu:
> Hi Vinicius,
> 
> Vinicius Monego <[email-masked]> skribis:
> 
> > If it's a problem in the data service only, can I push this to
> > master?
> > There are 257 rebuilds with this change (including pytorch) and I
> > want
> > to add another one in https://issues.guix.gnu.org/63621 before it
> > hits
> > 300.
> 
> I think you can go ahead and push both series (assuming that at least
> ‘python-pytorch’ is fine after these changes).
> 
> Thanks,
> Ludo’.

Hi Ludo,

Closing this one because I applied it. I pushed only part of the other
because the latest version of BoTorch is having issues with reporting
its version, I will look further into it.

Vinicius

Subject: [PATCH] gnu: python-typeguard: Add dependency on python-setuptools-scm.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Fri, 9 Jun 2023 15:52:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/python-xyz.scm (python-typeguard)[native-inputs]: Add
python-setuptools-scm.
---
This is required to report the correct version.

 gnu/packages/python-xyz.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 7d5128911f..351e199e57 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -23453,8 +23453,10 @@ (define-public python-typeguard
                         ;; XXX: These fail when installed as a library:
                         ;; https://github.com/agronholm/typeguard/issues/176
                         "not usefixtures and not test_cached_module")))))))
-    (native-inputs
-     (list python-mypy python-pytest python-typing-extensions))
+    (native-inputs (list python-mypy
+                         python-pytest
+                         python-setuptools-scm
+                         python-typing-extensions))
     (home-page "https://github.com/agronholm/typeguard")
     (synopsis "Run-time type checker for Python")
     (description
-- 
2.34.1